Jump to content
Brad Pitt

backpack.tf automatic help thread

Recommended Posts

Zoren    0
Zoren
9 hours ago, ☞SH☜ Dr. Psychotic said:

On a side note, does anybody here know when this issue will be looked at? Its a very Major issue for me and my bots and it seems to be for others as well.

 

This should fix it  https://bitbucket.org/jessecar/backpack.tf-automatic/pull-requests/21/backpacktfjs-edited-line-151-to-fix/diff

 

Right now testing it out, but if we think logically at the code, it should work!

Share this post


Link to post
Share on other sites
☞SH☜ Dr. Psychotic    1
☞SH☜ Dr. Psychotic
1 hour ago, Zoren said:

This should fix it  https://bitbucket.org/jessecar/backpack.tf-automatic/pull-requests/21/backpacktfjs-edited-line-151-to-fix/diff

 

Right now testing it out, but if we think logically at the code, it should work!

I saw, ill have to give it a go.

 

Does anybody here know where I would start if I were to try and setup auto listing items and  inventory maximums?

Im not familiar with Node

Share this post


Link to post
Share on other sites
phenompak    126
phenompak
15 hours ago, ☞SH☜ Dr. Psychotic said:

You were correct. The other was buried under tons of other trades. 

 

Guy made a mistake and didn't add the key to the trade. He panicked and called my bot a scammer. At least he got his key back, but I did make him feel bad for calling me and my bot a scammer as it was his mistake and he seems to be a well versed trader.

 

 

On a side note, does anybody here know when this issue will be looked at? Its a very Major issue for me and my bots and it seems to be for others as well.

 

Another user provided a temporary solution, did you try it?

IIHLieo.png

Pull Request 21 = https://bitbucket.org/jessecar/backpack.tf-automatic/pull-requests/21/backpacktfjs-edited-line-151-to-fix/diff

Share this post


Link to post
Share on other sites
m4x    0
m4x

Hi there, I have a problem with automatic for Mac

 

I'm going down the whole list of what to do. So I've installed node.js (also deleted it and reinstalled, so the problem doesn't lie there). After that, I downloaded the latest version (1.3.3 by jessecar). I opened the file with Archive Utility, and the files weren't put into folders like it should have been (so the files appeared as "app\automatic.js" and not actually placed in the app folder which should have been created). I tried installing it and without any success. Next thing I did was extracting it with The Unarchiver, a different archiving service. This popped up after, and when I tried installing it it said "Missing dependencies. Install a version with dependencies (not 'download repository') or use npm install". So I tried 'npm install', whereafter this error popped up. I searched for the log and this is what it said (no package.json file). http://www.filedropper.com/2017-07-04t133211981z-debug 

 

So, I tried installing the previous version (1.3.2) and after filling in node ~/Desktop/backpack.tf-automatic-1.3.2-all/automatic which seemed to do something ("backpack.tf Automatic v1.3.2 starting", etc,) until it gave an error about a file that couldnt be found and displayed a 404. Then it showed the source code for the HTML page (quickly made a test file to look what it contained) which was of course an error 404: Not Found for bitbucket.org. 

 

I ignored it and pressed CTRL + C (which stops the current process in Terminal) and gave the error: Cannot read Steam details: canceled. 

 

After that happened I went searching in the files, I found config.js and inside the file it referred to a file called accounts.json. This file however doesn't exist anywhere in my backpack.tf-automatic folder. 

 

This is where I stopped, I couldn't get any further. I hope you guys can help me out!

 

Share this post


Link to post
Share on other sites
Toasted Ninja    0
Toasted Ninja

My bot keeps spamming this every 11 seconds.

 

14:35:41 - error: Cannot check escrow duration for offer 11JYT6N: offer.warn is not a function

 

I disabled acceptescrow and it keeps posting this error. Any idea how I can fix this? :D

Share this post


Link to post
Share on other sites
phenompak    126
phenompak
5 hours ago, Toasted Ninja said:

My bot keeps spamming this every 11 seconds.

 

14:35:41 - error: Cannot check escrow duration for offer 11JYT6N: offer.warn is not a function

 

I disabled acceptescrow and it keeps posting this error. Any idea how I can fix this? :D

Restart/re-install bot, not a major problem sometimes it does glitch out on offers.

Share this post


Link to post
Share on other sites
Stormlord    0
Stormlord

Hey guys. I just set up the bot and it seems to be working fine. I've seen a lot of people having a max stock. Since I know next to nothing about node js, could anyone help me set this up?

Share this post


Link to post
Share on other sites
Derelgamer    0
Derelgamer

The new programm is completely broken because it cant buy anything anymore that does not end on .00 ref

--> (required = 1.77, given = 1.76),

But when you try make lisiting on bp.tf for 1.76 its automatically corrected to 1.77

 

WTF?

Share this post


Link to post
Share on other sites
phenompak    126
phenompak
4 hours ago, Derelgamer said:

The new programm is completely broken because it cant buy anything anymore that does not end on .00 ref

--> (required = 1.77, given = 1.76),

But when you try make lisiting on bp.tf for 1.76 its automatically corrected to 1.77

 

WTF?

Derel, the temporary solution is here:

On 7/4/2017 at 6:49 AM, phenompak said:

Another user provided a temporary solution, did you try it?

IIHLieo.png

Pull Request 21 = https://bitbucket.org/jessecar/backpack.tf-automatic/pull-requests/21/backpacktfjs-edited-line-151-to-fix/diff

 

Share this post


Link to post
Share on other sites
FBI    0
FBI

Hey, quick question, would I be able to run this on a raspberry pi zero w using raspbian? Thanks!

Share this post


Link to post
Share on other sites
Nebula    2
Nebula

Hi, So I already posted about this but in the wrong place

So here is what I posted:

I need help because i was following instructions on getting identity_secret and I can't paste the file in storage/emulated/0

It keeps saying operation failed

is there something i am doing wrong?

 

Share this post


Link to post
Share on other sites
phenompak    126
phenompak
5 hours ago, Nebula said:

Hi, So I already posted about this but in the wrong place

So here is what I posted:

I need help because i was following instructions on getting identity_secret and I can't paste the file in storage/emulated/0

It keeps saying operation failed

is there something i am doing wrong?

 

If you're talking about the file itself that has the identity secret itself, you don't have to paste, just get it into your computer, I myself just e-mailed it to me.

Share this post


Link to post
Share on other sites
Axle Change    29
Axle Change
On 7/16/2017 at 11:49 PM, FBI said:

Hey, quick question, would I be able to run this on a raspberry pi zero w using raspbian? Thanks!

I managed to run it on a raspi, pretty sure it was 2. The main barrier is installing nodeJS and npm, which required a lot of tinkering for the one I used. After you set it up it is a very good solution though.

Share this post


Link to post
Share on other sites
pacukluka    0
pacukluka

How do i make a limit on how many of a certain item it can buy? So limit to only have 1 max of certain item at any given time

Share this post


Link to post
Share on other sites
yiz46    0
yiz46

i have 10 same items, i want create 1 classfield for all them with the same price but the bot want 10 classfields, 

how i will do it?

Share this post


Link to post
Share on other sites
Woifilicious    1742
Woifilicious
4 hours ago, yiz46 said:

i have 10 same items, i want create 1 classfield for all them with the same price but the bot want 10 classfields, 

how i will do it?

You create 10. That's how automatic works.

Share this post


Link to post
Share on other sites
yiz46    0
yiz46
8 hours ago, Woifilicious said:

You create 10. That's how automatic works.

cant other way?

Share this post


Link to post
Share on other sites
Woifilicious    1742
Woifilicious
30 minutes ago, yiz46 said:

cant other way?

No cause automatic treats items based on their current ID. And that's good cause I only want to sell the items I have listed and not another version that is not for sale of it.

Share this post


Link to post
Share on other sites
xosmin    8
xosmin

" Again: second quality is not checked as it is currently unsupported in buy orders by backpack.tf (sell orders are okay with them though). This may be added at a future date when secondary quality buy orders are supported by backpack.tf. "

 

any idea when (if) this will be implemented?

thanks

Share this post


Link to post
Share on other sites
ThePickleCat    128
ThePickleCat
48 minutes ago, xosmin said:

" Again: second quality is not checked as it is currently unsupported in buy orders by backpack.tf (sell orders are okay with them though). This may be added at a future date when secondary quality buy orders are supported by backpack.tf. "

 

any idea when (if) this will be implemented?

thanks

I *think* Jesse is working on an overhaul of automatic. Sorry I can't find the post but I think he said automatic was written poorly (for testing) and he would be working on fixing it. So hopefully he will add features if that is the case.

 

Does it not work if you make a buy order directly from the stats page of the dual quality item? I've never tested it

Share this post


Link to post
Share on other sites
xosmin    8
xosmin

you will end up buying well-worn items for factory new prices. i strongly recommend against trying it.  some users will even create alts to take advantage of that :)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


  • Recently Browsing   0 members

    No registered users viewing this page.

×